Subject: Re: linux-next: manual merge of the tip tree with the mips tree

From: Deng-Cheng Zhu <[email-masked]>
Date: Wed, 23 Nov 2011 10:07:25 +0800

On 11/23/2011 10:01 AM, Stephen Rothwell wrote:
> Hi all,
>
> Today's linux-next merge of the tip tree got a conflict in
> arch/mips/kernel/perf_event_mipsxx.c between commit f40c522a4216
> ("MIPS/Perf-events: Remove erroneous check on active_events") and
> c481e48d9478 ("MIPS/Perf-events: Remove pmu and event state checking in
> validate_event()") from the mips tree and commit aa2bc1ade590 ("perf:
> Don't use -ENOSPC for out of PMU resources") from the tip tree.
>
> Just context changes (and one hunk was removed).  I fixed it up (see
> below) and can carry the fix as necessary.

Yes, I was aware of this conflict while writing that patch series based
on linux-mips tree. Your changes look good to me. Thanks for the fixup!

Deng-Cheng